;==========================================================
;
;
;   ██████╗  ██████╗ ██╗  ██╗   ██╗██████╗  █████╗ ██████╗
;   ██╔══██╗██╔═══██╗██║  ╚██╗ ██╔╝██╔══██╗██╔══██╗██╔══██╗
;   ██████╔╝██║   ██║██║   ╚████╔╝ ██████╔╝███████║██████╔╝
;   ██╔═══╝ ██║   ██║██║    ╚██╔╝  ██╔══██╗██╔══██║██╔══██╗
;   ██║     ╚██████╔╝███████╗██║   ██████╔╝██║  ██║██║  ██║
;   ╚═╝      ╚═════╝ ╚══════╝╚═╝   ╚═════╝ ╚═╝  ╚═╝╚═╝  ╚═╝
;
;
;   To learn more about how to configure Polybar
;   go to https://github.com/polybar/polybar
;
;   The README contains a lot of information
;
;==========================================================
;

[colors]
# Nordic Color Scheme
nordBlack0 = #191D24
nordBlack1 = #1E222A
nordBlack2 = #222630
nord0 = #2e3440
nord1 = #3b4252
nord2 = #434c5e
nord3 = #4c566a
nord4 = #d8dee9
nord5 = #e5e9f0
nord6 = #eceff4
nord7 = #8fbcbb
nord8 = #88c0d0
nord9 = #81a1c1
nord10 = #5e81ac
nord11 = #bf616a
nord12 = #d08770
nord13 = #ebcb8b
nord14 = #a3be8c
nord15 = #b48ead

[colors]
background = ${colors.nordBlack0}
background-alt = ${colors.nord10}
foreground = ${colors.nord4}
primary = ${colors.nord15}
secondary = ${colors.nord1}
alert = ${colors.nord11}
disabled = ${colors.nord3}



[bar/main]
width = 100%
height = 32pt
; radius = 6

bottom = false

background = ${colors.background}
foreground = ${colors.foreground}

line-size = 3pt


padding-left = 0
padding-right = 0

module-margin = 0

separator =
separator-foreground = ${colors.disabled}

font-0 = "SauceCodeProNerdFont;2"
font-1 = "FontAwesome:style=Regular"
font-2 = "Pomodoro:style=Regular"
font-3 = "icomoon:style=Regular"
font-4 = "octicons:style=Medium"

modules-left = separator os separator xworkspaces separator
modules-center = date
modules-right =  separator memory separator cpu separator battery separator pulseaudio separator

cursor-click = pointer
cursor-scroll = ns-resize

enable-ipc = true

[module/separator]
type = custom/text
format = <label>
format-foreground = ${colors.nord9}
format-padding = 2
label = |


[module/cpu]
type = internal/cpu
interval = 2
format-prefix = " "
format-prefix-foreground = ${colors.nord12}
label = %percentage:2%%

[module/memory]
type = internal/memory
interval = 2
format-prefix = " "
format-prefix-foreground = ${colors.nord15}
label = %percentage_used:2%%


[module/battery]
type = internal/battery
format-prefix = " "
format-full-prefix = " "
format-full-prefix-foreground = ${colors.nord9}
format-prefix-foreground = ${colors.primary}
full-at = 80
format-charging = <animation-charging> <label-charging>
animation-charging-0 = 
animation-charging-1 = 
animation-charging-2 = 
animation-charging-3 = 
animation-charging-4 = 
; framerate in milliseconds
animation-charging-framerate = 750
animation-charging-foreground = ${colors.nord12}
format-discharging = <ramp-capacity> <label-discharging>
ramp-capacity-0 = 
ramp-capacity-1 = 
ramp-capacity-2 = 
ramp-capacity-3 = 
ramp-capacity-4 = 
low-at = 5
battery = BAT1
adapter = acad
poll-interval = 5


[module/xworkspaces]
type = internal/xworkspaces

icon-0 = 1;
icon-1 = 2;
icon-2 = 3;󱩽
icon-3 = 4;
icon-4 = 5;
icon-5 = 6;
icon-6 = 7;
icon-default = 

;label-occupied = 
;label-active = ""
;
label-focused = %icon%
label-unfocused = %icon%
label-visible= %icon%

label-active = %icon%
label-occupied = %icon%
label-urgent = %icon%
label-empty = %icon%

label-monitor = %icon%

; Active workspace
label-active-foreground = ${colors.nord7}
label-active-underline = ${colors.nord8}
label-active-padding-left = 2
label-active-padding-right = 2

; Occupied workspace
label-occupied-padding-left = 2
label-occupied-padding-right = 2

; Urgent workspace
label-urgent-background = ${colors.alert}
label-urgent-padding-left = 2
label-urgent-padding-right = 2

; Empty workspace
label-empty-foreground = ${colors.disabled}
label-empty-padding-left = 2
label-empty-padding-right = 2

; Overall module settings
format = <label-state>
format-padding = 1



[module/xwindow]
type = internal/xwindow
label = %title:0:60:...%
format-padding = 1
format-underline-size = 0.5
format-overline-size = 0.5


[module/pulseaudio]
type = internal/pulseaudio
format-name = volume

format-volume-prefix = "  "
format-volume-prefix-foreground = ${colors.nord14}
label-volume = %percentage%%
label-muted = " 0%"
label-muted-foreground = ${colors.disabled}
format-volume-padding = 1
format-muted-padding = 1

[module/date]
type = internal/date
interval = 1
format-prefix = " "
format-prefix-foreground = ${colors.nord12}
date = "%I:%M %p"
date-alt = %m.%d.%Y %I:%M:%S %p
label = %date%
format-padding = 1


[module/tray]
type = internal/tray
format-padding = 1
tray-spacing = 10px
tray-foreground = ${colors.primary}

[module/os]
type = custom/text
content = 
format-padding = 2
content-foreground = ${colors.background-alt}

[settings]
screenchange-reload = true
pseudo-transparency = true

